# Don't print a new line at the start of the prompt
add_newline = false

# Allow for up to 1 s for commands to be executed
command_timeout = 1000


# Replace the "❯" symbol in the prompt with "➜"
[character]      # The name of the module we are configuring is "character"
symbol = "➜"     # The "symbol" segment is being set to "➜"
error_symbol = "✗"
use_symbol_for_status = true

[directory]
truncation_length = 8
truncate_to_repo = false

[time]
disabled = false
time_format = "%T"
format = "at 🕙[$time]($style) "
utc_time_offset = -5
style = "yellow"

[jobs]
symbol = "+ "
threshold = 4

# Disable the package module, hiding it from the prompt completely
[package]
disabled = true

[cmd_duration]
min_time = 4
format = "took [$duration]($style) "

[hostname]
ssh_only = false
format = "[$hostname]($style) in "
#trim_at = ".companyname.com"
disabled = false
style = "blue"

[git_branch]
symbol = "🌱 "
#truncation_length = 4
#truncation_symbol = ""

[git_commit]
commit_hash_length = 4
only_detached = false

[git_state]
progress_divider = " of "
cherry_pick = "🍒 PICKING"

[git_status]
conflicted = "🏳"
ahead = "🏎💨"
behind = "😰"
diverged = "😵"
untracked = "🤷‍"
stashed = "📦"
modified = "📝"
staged.value = "++"
staged.style = "green"
staged_count.enabled = true
staged_count.style = "green"
renamed = "👅"
deleted = "🗑"

#[memory_usage]
#disabled = false
##show_percentage = true
##show_swap = true
#threshold = 75
##separator = "/"
#style = "bold dimmed green"

[memory_usage]
disabled = false
format = "via $symbol [${ram_pct}( | ${swap_pct})]($style) "
threshold = 75
symbol = "🐏" 
style = "bold dimmed green"

[python]
#symbol = "👾 "
#pyenv_version_name = true
#pyenv_prefix = "foo "
#

[env_var]
variable = "DATA"
style = "cyan"
#default = "no DATA link?"
